import { Octokit } from 'octokit';
import { InputValues } from '../../shared/inputs.js';

type HydrateRepositoryValues = Pick<InputValues, "description" | "owner" | "repository">;
declare function hydrateRepositorySettings(octokit: Octokit, { description, owner, repository }: HydrateRepositoryValues): Promise<void>;

export { hydrateRepositorySettings };
