import { GetterDefaultInputValues, InputValuesAndOctokit } from './inputs.js';
import 'octokit';

interface RunOrRestoreOptions {
    args: string[];
    defaults?: Partial<GetterDefaultInputValues>;
    label: string;
    run: (inputValuesAndOctokit: InputValuesAndOctokit) => Promise<void>;
}
declare function runOrRestore({ args, defaults, label, run, }: RunOrRestoreOptions): Promise<1 | 0>;

export { RunOrRestoreOptions, runOrRestore };
